=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2009-10-30 15:58:06 +0000
+++ drizzled/plugin/storage_engine.cc	2009-10-30 21:14:33 +0000
@@ -203,10 +203,10 @@
   if (engine->check_flag(HTON_BIT_DOES_TRANSACTIONS))
     vector_of_transactional_engines.push_back(engine);
 
-  if (engine->getTableDefinotionExt().length())
+  if (engine->getTableDefinitionExt().length())
   {
-    assert(engine->getTableDefinotionExt().length() == MAX_STORAGE_ENGINE_FILE_EXT);
-    set_of_table_definition_ext.insert(engine->getTableDefinotionExt());
+    assert(engine->getTableDefinitionExt().length() == MAX_STORAGE_ENGINE_FILE_EXT);
+    set_of_table_definition_ext.insert(engine->getTableDefinitionExt());
   }
 
   return false;
@@ -506,7 +506,7 @@
   return 0;
 }
 
-class StorageEngineGetTableDefition: public unary_function<plugin::StorageEngine *,bool>
+class StorageEngineGetTableDefinition: public unary_function<plugin::StorageEngine *,bool>
 {
   Session& session;
   const char* path;
@@ -517,13 +517,13 @@
   int *err;
 
 public:
-  StorageEngineGetTableDefition(Session& session_arg,
-                                const char* path_arg,
-                                const char *db_arg,
-                                const char *table_name_arg,
-                                const bool is_tmp_arg,
-                                message::Table *table_proto_arg,
-                                int *err_arg) :
+  StorageEngineGetTableDefinition(Session& session_arg,
+                                  const char* path_arg,
+                                  const char *db_arg,
+                                  const char *table_name_arg,
+                                  const bool is_tmp_arg,
+                                  message::Table *table_proto_arg,
+                                  int *err_arg) :
     session(session_arg), 
     path(path_arg), 
     db(db_arg),
@@ -586,7 +586,7 @@
 
   vector<plugin::StorageEngine *>::iterator iter=
     find_if(vector_of_engines.begin(), vector_of_engines.end(),
-            StorageEngineGetTableDefition(session, path, NULL, NULL, true, table_proto, &err));
+            StorageEngineGetTableDefinition(session, path, NULL, NULL, true, table_proto, &err));
 
   if (iter == vector_of_engines.end())
   {

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2009-10-30 15:58:06 +0000
+++ drizzled/plugin/storage_engine.h	2009-10-30 21:14:33 +0000
@@ -122,7 +122,7 @@
   std::string table_definition_ext;
 
 public:
-  const std::string& getTableDefinotionExt()
+  const std::string& getTableDefinitionExt()
   {
     return table_definition_ext;
   }

